<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Bootstrap Introduction and Simple Styles</title>
	<!-- Bootstrap link -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
	</head>
	<body class="text-center bg-secondary">

		<nav class="bg-primary text-light fixed-top pr-1">
			Fixed Top-navbar
		</nav>


		<!-- Start of header -->
		<header class="mt-5">
			<h1>Bootstrap Introduction and simple Styles</h1>

			<div class="d-none d-lg-inline-block w-25">
				<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">
			</div>
		</header>
		<!-- end of header -->
		<!-- Bootstrap Utility Classes -->
		<section class="container-fluid mb-5">
			<h2>Bootstrap Color Classes</h2>

			<table class="table table-bordered table-dark">

				<thead>
					<tr>
						<th>Text</th>
						<th>Background</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td><a href="#" class="text-primary">Primary Link</a></td>
						<td class="bg-primary text-white">Primary</td>
					</tr>
					<tr>
						<td><a href="#" class="text-secondary">Secondary Link</a></td>
						<td class="bg-secondary text-white">secondary</td>
					</tr>
					<tr>
						<td><a href="#" class="text-success">Success Link</a></td>
						<td class="bg-success text-white">success</td>
					</tr>
					<tr>
						<td><a href="#" class="text-danger">Danger Link</a></td>
						<td class="bg-danger text-white">danger</td>
					</tr>
					<tr>
						<td><a href="#" class="text-warning">Warning Link</a></td>
						<td class="bg-warning text-white">warning</td>
					</tr>
					<tr>
						<td><a href="#" class="text-info">Info Link</a></td>
						<td class="bg-info text-white">info</td>
					</tr>
					<tr>
						<td><a href="#" class="text-light">Light Link</a></td>
						<td class="bg-light text-white">light</td>
					</tr>
					<tr>
						<td><a href="#" class="text-dark">dark Link</a></td>
						<td class="bg-dark text-white">dark</td>
					</tr>
					<tr>
						<td><a href="#" class="text-muted">Muted Link</a></td>
						<td class="bg-transparent text-dark">transparent</td>
					</tr>
					<tr>
						<td><a href="#" class="text-white">white Link</a></td>
						<td class="bg-white text-dark">white</td>
					</tr>
					
				</tbody>

			</table>

			<table class="table table-bordered table-dark text-white">
				<thead>
					<tr>
						<th>Alignment</th>
					</tr>
				</thead>

				<tbody>
					<tr>
						<td class="text-left">Left</td>
					</tr>
					<tr>
						<td class="text-center">center</td>
					</tr>
					<tr>
						<td class="text-right">right</td>
					</tr>
					<tr>
						<td class="text-justify">justify</td>
					</tr>
					<tr>
						<td class="text-right text-md-left">medium left</td>
					</tr>
					<tr>
						<td class="text-lg-right">large right</td>
					</tr>
					<tr>
						<td class="text-left text-xl-center">extra large center</td>
					</tr>
				</tbody>

			</table>
			<table class="table table-bordered table-dark text-white">
				<thead>
					<tr>
						<th>Text Transform</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="text-lowercase font-weight-bold">
							LOWERCASE BOLD TEXT
						</td>
					</tr>
					<tr>
						<td class="text-uppercase font-weight-normal">
							uppercased normal text
						</td>
					</tr>
					<tr>
						<td class="text-capitalized font-weight-light">
							capitalized light text
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-decoration-none font-italic">Non-lined Italic link</a>	
						</td>
					</tr>
				</tbody>
			</table>
			<table class="table table-dark text-align table bordered">
				<thead>
					<tr>
						<th>Border Classes</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="bg-info border border-primary rounded w-25">
								Rounded
							</div>
						</td>
					</tr>
					<tr>
						<td>
							<div class="bg-secondary border border-white rounded-circle w-50">
								Rounded circle
							</div>
						</td>
					</tr>
						<tr>
						<td>
							<div class="bg-warning border border-danger rounded-pill w-75">
								Rounded circle
							</div>
						</td>
					</tr>
				</tbody>
			</table>
		</section>
		<!-- end of Bootstrap Utility Classes -->

		<footer class="bg-primary text-light fixed-bottom p-1">
			Fixed Bottom- footer
		</footer>

		<!-- bootstrap script -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
	</body>
</html>


<!--  Notes for the Margin and Padding:

    - The following classes can be used to achieve creating spaces on specific directions:
            - margin
                - "mt-" - margin top
                - "mb-" - margin bottom
                - "ml-" - margin left
                - "mr-" - margin right
                - "mx-" - margin left & right
                - "my-" - margin top & bottom
            - padding
                - "pt-" - padding top
                - "pb-" - padding bottom
                - "pl-" - padding left
                - "pr-" - padding right
                - "px-" - padding left & right
                - "py-" - padding top & bottom
        - The following values may be assigned to create different measurements of spacing between elements:
            - 1-5 - 1 is the smallest measurement and 5 is the largest
            - auto - takes up the full space between the element and the specified spacing
 -->